﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" indent="yes"/>
	<xsl:template match="Zapytanie">
		<xsl:element name="body">
			<xsl:element name="font">
				<xsl:attribute name="face">
					<xsl:text>MS Sans Serif</xsl:text>
				</xsl:attribute>

				<xsl:element name="span">
					<xsl:attribute name="style">
						<xsl:text>width:595px;</xsl:text>
					</xsl:attribute>

					<xsl:element name="span">
						<!--<xsl:attribute name="align">left</xsl:attribute>-->
						<xsl:attribute name="style">
							<xsl:text>font-size:10px;</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="align">
							<xsl:text>left</xsl:text>
						</xsl:attribute>
						<xsl:text>Elektroniczne zapytanie do systemu OGNIVO</xsl:text>
					</xsl:element>


					<xsl:element name="table">
						<xsl:element name="tr">
							<xsl:element name="td">
								<xsl:attribute name="width">10%</xsl:attribute>
							</xsl:element>
							<xsl:element name="td">
								<xsl:attribute name="width">60%</xsl:attribute>
								<!--
								<xsl:element name="img">
									<xsl:attribute name="src"> -->
										<!-- NIE ZMIENIA ŚCIEŻKI GDY KOMORNIK SQL WYSZUKUJE TAKIEJ JAK TU JEST WPISANA I JĄ PODMIENIA -->
										<!--
										<xsl:text>c:\currenda\kom\bmp\ognivo_logo.png</xsl:text>
									</xsl:attribute>
								</xsl:element>
								-->
							</xsl:element>
							<xsl:element name="td">
								<xsl:attribute name="width">30%</xsl:attribute>
								<xsl:element name="span">
									<xsl:attribute name="style">
										<xsl:text>font-size: 8px;</xsl:text>
									</xsl:attribute>
									<xsl:text>Wydruk sporządzony automatycznie na podstawie pliku XML przez program Komornik SQL.</xsl:text>
								</xsl:element>

							</xsl:element>
						</xsl:element>
					</xsl:element>

					<!-- Nazwa kancelarii -->
					<xsl:element name="center">
						<xsl:element name="font">
							<xsl:attribute name="size">2</xsl:attribute>
							<br/>
							<b>
								<xsl:value-of select="translate(Nadawca, 'aąbcćdeęfghijklłmnńoópqrsśtuvwxyzźż','AĄBCĆDEĘFGHIJKLŁMNŃOÓPQRSŚTUVWXYZŹŻ')"/>
							</b>
							<br/>
						</xsl:element>
					</xsl:element>

					<xsl:element name="span">
						<xsl:attribute name="style">
							<xsl:text>font-size:12px; font-weight:bold;</xsl:text>
						</xsl:attribute>
						<xsl:text>Dane zapytania</xsl:text>											
					</xsl:element>
					
					<!-- Dane zapytania-->

					<xsl:element name="span">
						<xsl:element name="font">
							<xsl:attribute name="size">1</xsl:attribute>
							<xsl:element name="table">								

								
								<xsl:attribute name="style">
									<xsl:text>font-size:8px</xsl:text>
								</xsl:attribute>

								<!-- Numer referencyjny -->
								<xsl:element name="tr">
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:30px;</xsl:text>
										</xsl:attribute>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:150px</xsl:text>
										</xsl:attribute>
										<xsl:text>Numer referencyjny - GUID</xsl:text>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:415px;</xsl:text>
										</xsl:attribute>
										<xsl:element name="b">
											<xsl:value-of select="NrRef"/>
										</xsl:element>
									</xsl:element>
								</xsl:element>
								
								<!--Data wysłania -->
								<xsl:element name="tr">
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:30px;</xsl:text>
										</xsl:attribute>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:150px</xsl:text>
										</xsl:attribute>
										<xsl:text>Data wysłania</xsl:text>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:415px</xsl:text>
										</xsl:attribute>
										<xsl:value-of select="DataWyslania"/>
									</xsl:element>
								</xsl:element>
								
								<!-- Odbiorca -->
								<xsl:element name="tr">
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:30px;</xsl:text>
										</xsl:attribute>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:150px</xsl:text>
										</xsl:attribute>
										<xsl:text>Odbiorca</xsl:text>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:415px</xsl:text>
										</xsl:attribute>
										<xsl:value-of select="Odbiorca"/>
									</xsl:element>
								</xsl:element>

								<!-- Powód 
								<xsl:element name="tr">
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:30px;</xsl:text>
										</xsl:attribute>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:150px</xsl:text>
										</xsl:attribute>
										<xsl:text>Powód zapytania</xsl:text>
									</xsl:element>
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:415px</xsl:text>
										</xsl:attribute>
										<xsl:value-of select="Powod"/>
									</xsl:element>
								</xsl:element>
								-->
							</xsl:element>
							<hr/>
							<br/>
								<!-- Treść -->
								
								<xsl:value-of select="Nadawca"/>								
								<xsl:text> w sprawie </xsl:text>
								<xsl:element name="b">
									<xsl:value-of select="Dluznik/SygnaturaSprawy"/>
								</xsl:element>
								<xsl:text> na podstawie art. 761 § 1 kpc oraz art. 2 ust. 5 ustawy z dnia 29 sierpnia 1997 r. o komornikach sądowych i egzekucji </xsl:text>
							<xsl:text>(jedn. tekst: Dz. U. z 2006 r. Nr 167 poz. 1191 ze zm.) wzywa</xsl:text>
							<br/>
							<xsl:text>o udzielenie informacji czy dłużnik: </xsl:text>
							<br/>
								<xsl:element name="b">
									<xsl:value-of select="Dluznik/Nazwa"/>
									<!-- PESEL -->
									<xsl:if test="count(Dluznik/PESEL) > 0">
										<xsl:text>, PESEL: </xsl:text>																						
										<xsl:value-of select="Dluznik/PESEL"/>																																
									</xsl:if>

									<!-- REGON -->
									<xsl:if test="count(Dluznik/REGON) > 0">									
										<xsl:text>, REGON: </xsl:text>																			
										<xsl:value-of select="Dluznik/REGON"/>																				
									</xsl:if>

									<!-- NIP -->
									<xsl:if test="count(Dluznik/NIP) > 0">																														
										<xsl:text>, NIP: </xsl:text>										
										<xsl:value-of select="Dluznik/NIP"/>									
									</xsl:if>
								</xsl:element>								
								<xsl:text> posiada w oddziałach Waszego banku rachunki bankowe.</xsl:text>
								<br/>
								<br/>							
								<xsl:value-of select="Podpis"/>
							
							<!-- Podstawa prawna -->
								<xsl:element name="tr">
									<xsl:element name="td">
										<xsl:attribute name="style">
											<xsl:text>width:30px;</xsl:text>
										</xsl:attribute>
									</xsl:element>									
									<xsl:element name="td">
										<xsl:attribute name="colspan">
											<xsl:text>3</xsl:text>
										</xsl:attribute>
										<br/>
										<br/>
										<xsl:text>Powyższe zapytanie jest w związku z prowadzonym postępowaniem egzekucyjnym przeciwko wskazanym powyżej dłużnikom na podstawie art 761 § 1 kpc oraz art. 2</xsl:text>
										<xsl:text> ust. 5 ustawy z dnia 29 sierpnia 1997 r. o komornikach sądowych i egzekucji (tj. Dz.U. z 2011, Nr 231 poz. 1376). Żądane informacje są niezbędne do</xsl:text>
										<xsl:text> prawidłowego prowadzenia postępowania egzekucyjnego. Zgodnie z art. 2 ust. 8 ustawy o komornikach sądowych i egzekucji informacji należy udzielić w terminie 7 dni</xsl:text>
										<xsl:text> od dnia otrzymania żądania w oparciu o dane przekazane przez komornika.</xsl:text>
										<xsl:text> POUCZENIE: Banki są obowiązane na pisemne żądanie komornika udzielić mu informacji niezbędnych do prawidłowego prowadzenia postępowania egzekucyjnego, wykonania</xsl:text>
										<xsl:text> postanowienia o udzieleniu zabezpieczenia oraz wykonania innych czynności wchodzących w zakres jego ustawowych zadań, w szczególności dotyczące stanu majątkowego</xsl:text>
										<xsl:text> dłużnika oraz umożliwiających identyfikację składników jego majątku. Za nieuzasadnioną odmowę udzielenia komornikowi wyjaśnień lub informacji albo za udzielanie informacji</xsl:text>
										<xsl:text> lub wyjaśnień świadomie fałszywych osoba odpowiedzialna może być na wniosek wierzyciela lub z urzędu ukarana przez komornika grzywną do pięciuset złotych. Ukaranie przez</xsl:text>
										<xsl:text> komornika grzywną nie zwalnia osób ukaranych od odpowiedzialności karnej za niedopełnienie lub przekroczenie obowiązków służbowych.</xsl:text>
										<br/>
									</xsl:element>
								</xsl:element>															
						</xsl:element>
					</xsl:element>
					<br/>
					<hr/>
					<br/>
					<xsl:element name="span">
						<xsl:attribute name="style">
							<xsl:text>font-size:12px; font-weight:bold;</xsl:text>
						</xsl:attribute>
						<xsl:text>Odpowiedź</xsl:text>
					</xsl:element>
					<xsl:element name="br"/>
					<br/>
					<xsl:element name="font">
						<xsl:attribute name="size">1</xsl:attribute>
						<xsl:element name="b">
							<xsl:choose>
								<xsl:when test="Dluznik/Odpowiedz='true'">
									<xsl:text>DŁUŻNIK POSIADA RACHUNEK BANKOWY</xsl:text>
								</xsl:when>
								<xsl:when test="Dluznik/Odpowiedz='false'">
									<xsl:text>DŁUŻNIK NIE POSIADA RACHUNKU BANKOWEGO</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>Niepoprawne dane pobrane z systemu OGNIVO</xsl:text>
								</xsl:otherwise>

							</xsl:choose>
						</xsl:element>
					</xsl:element>
						
					<br/>
					<br/>
					<xsl:element name="span">
						<xsl:attribute name="style">font-size:8px;</xsl:attribute>
						<!-- Koszty zapytania i korespondencji -->
						<xsl:if test="KosztZapytania &gt; 0 or KosztKorespondencji &gt; 0">
							<xsl:text>Za udzielenie odpowiedzi na powyższe zapytanie</xsl:text>						
							<xsl:if test="KosztZapytania &gt; 0">
								<xsl:text> naliczono opłatę (art. 39.2.7) w wysokości </xsl:text><xsl:value-of select="KosztZapytania"/>
								<xsl:text> zł</xsl:text>
							</xsl:if>
							<xsl:if test="KosztKorespondencji &lt;= 0"><xsl:text>.</xsl:text>
							</xsl:if>

							<xsl:if test="KosztKorespondencji &gt; 0">
								<xsl:text> oraz za korespondencję (art. 39.2.8) w wysokości </xsl:text>
								<xsl:value-of select="KosztKorespondencji"/>
								<xsl:text> zł.</xsl:text>								
							</xsl:if>							
						</xsl:if>

						<xsl:if test="KosztyZapytaniaRazem &gt; 0 or KosztyKorespondencjiRazem &gt; 0">
							<br/>
							<xsl:text>Całkowity koszt za zapytanie ID: </xsl:text>
							<xsl:value-of select="IDPisma"/>
							<xsl:text> do wszystkich adresatów wyniósł:</xsl:text>
							<xsl:if test="KosztyZapytaniaRazem &gt; 0">
								<xsl:text> za zapytanie (art. 39.2.7) </xsl:text>
								<xsl:value-of select="KosztyZapytaniaRazem"/>
								<xsl:text> zł</xsl:text>
							</xsl:if>
							<xsl:if test="KosztyKorespondencjiRazem &lt;= 0">
								<xsl:text>.</xsl:text>
							</xsl:if>

							<xsl:if test="KosztyKorespondencjiRazem &gt; 0">
								<xsl:text> oraz za korespondencję (art. 39.2.8) </xsl:text>
								<xsl:value-of select="KosztyKorespondencjiRazem"/>
								<xsl:text> zł.</xsl:text>
							</xsl:if>
						</xsl:if>																								
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>